jammy/linux-gcp-6.5: 6.5.0-1024.26~22.04.1 -proposed tracker

Bug #2068324 reported by Stefan Bader
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Fix Committed
Medium
Unassigned
Abi-testing
Fix Released
Medium
Unassigned
Automated-testing
Fix Released
Medium
Canonical Kernel Team
Boot-testing
Fix Released
Medium
Unassigned
Certification-testing
Invalid
Medium
Unassigned
Kernel-signoff
Fix Released
Undecided
John Cabaj
New-review
Fix Released
Medium
Andy Whitcroft
Prepare-package
Fix Released
Medium
John Cabaj
Prepare-package-generate
Fix Released
Medium
John Cabaj
Prepare-package-lrg
Fix Released
Medium
John Cabaj
Prepare-package-lrm
Fix Released
Medium
John Cabaj
Prepare-package-lrs
Fix Released
Medium
John Cabaj
Prepare-package-meta
Fix Released
Medium
John Cabaj
Prepare-package-signed
Fix Released
Medium
John Cabaj
Promote-signing-to-proposed
Invalid
Medium
Unassigned
Promote-to-proposed
Fix Released
Medium
Ubuntu Stable Release Updates Team
Promote-to-security
Fix Released
Medium
Andy Whitcroft
Promote-to-updates
Fix Released
Medium
Andy Whitcroft
Regression-testing
Fix Released
Medium
Canonical Kernel Team
Security-signoff
Fix Released
Medium
Rodrigo Figueiredo Zaiden
Sru-review
Fix Released
Medium
Andy Whitcroft
Verification-testing
Fix Released
Medium
Canonical Kernel Team
canonical-signing-jobs
Task00
Fix Released
Medium
Andy Whitcroft
linux-gcp-6.5 (Ubuntu)
Jammy
Fix Released
Medium
Unassigned

Bug Description

This bug will contain status and test results related to a kernel source (or snap) as stated in the title.

For an explanation of the tasks and the associated workflow see:
  https://wiki.ubuntu.com/Kernel/kernel-sru-workflow

-- swm properties --
built:
  from: 6b34b1eedca77c81
  route-entry: 1
comments:
  abi-testing: 1
delta:
  promote-to-proposed: []
  promote-to-security: []
  promote-to-updates: [lrm, lrs, main, meta, signed]
flag:
  boot-testing-requested: true
  bugs-spammed: true
  proposed-announcement-sent: true
  proposed-testing-requested: true
  stream-from-cycle: true
issue: KSRU-12684
kernel-stable-master-bug: 2068325
packages:
  generate: linux-generate-gcp-6.5
  lrg: linux-restricted-generate-gcp-6.5
  lrm: linux-restricted-modules-gcp-6.5
  lrs: linux-restricted-signatures-gcp-6.5
  main: linux-gcp-6.5
  meta: linux-meta-gcp-6.5
  signed: linux-signed-gcp-6.5
phase: Complete
phase-changed: Monday, 15. July 2024 12:25 UTC
reason: {}
synthetic:
  :promote-to-as-proposed: Fix Released
variant: debs
versions:
  lrm: 6.5.0-1024.26~22.04.1+1
  main: 6.5.0-1024.26~22.04.1
  meta: 6.5.0.1024.26~22.04.1
  signed: 6.5.0-1024.26~22.04.1
versions-replace:
  lrm: [6.5.0-1024.26~22.04.1]
~~:
  announce:
    swm-transition-crankable: 2024-06-14 15:01:26.714790
  clamps:
    new-review: 6b34b1eedca77c81
    promote-to-proposed: 6b34b1eedca77c81
    self: 6.5.0-1024.26~22.04.1
    sru-review: 6b34b1eedca77c81
  tracker:
    last-message: '2024-07-15 08:24:05.898000+00:00'

Stefan Bader (smb)
tags: added: kernel-release-tracking-bug-live
description: updated
tags: added: kernel-sru-cycle-2024.06.10-1
description: updated
tags: added: kernel-sru-backport-of-2068325
Changed in kernel-sru-workflow:
status: New → Confirmed
importance: Undecided → Medium
Changed in linux-gcp-6.5 (Ubuntu Jammy):
importance: Undecided → Medium
Changed in kernel-sru-workflow:
status: Confirmed → Triaged
description: updated
Changed in kernel-sru-workflow:
status: Triaged → In Progress
tags: added: kernel-jira-issue-ksru-12684
description: updated
description: updated
John Cabaj (john-cabaj)
summary: - jammy/linux-gcp-6.5: <version to be filled> -proposed tracker
+ jammy/linux-gcp-6.5: 6.5.0-1024.26~22.04.1 -proposed tracker
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
Revision history for this message
Ubuntu Kernel Ancillary Bot (ubuntu-kernel-ancillary-bot) wrote : ABI testing

amd64/gcp canonical-certs.pem unchanged
amd64/gcp canonical-revoked-certs.pem unchanged
amd64/gcp fwinfo unchanged
amd64/gcp modules unchanged
amd64/gcp retpoline unchanged
arm64/gcp canonical-certs.pem unchanged
arm64/gcp canonical-revoked-certs.pem unchanged
arm64/gcp fwinfo unchanged
arm64/gcp modules differs
  @@ -2637,7 +2637,6 @@
   i2c-altera
   i2c-amd756
   i2c-amd8111
  -i2c-apple (accepted)
   i2c-arb-gpio-challenge
   i2c-bcm-iproc
   i2c-bcm2835
  @@ -2691,6 +2690,8 @@
   i2c-omap
   i2c-owl
   i2c-parport
  +i2c-pasemi-core (ok)
  +i2c-pasemi-platform (ok)
   i2c-pca-platform
   i2c-piix4
   i2c-pxa
arm64/gcp retpoline unchanged

description: updated
description: updated
description: updated
Revision history for this message
Ubuntu Kernel Bot (ubuntu-kernel-bot) wrote : Kernel requires additional signoff

linux-image name changes detected, review variant/flavour changes; kernel-signoff required.

description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
Andy Whitcroft (apw)
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
Revision history for this message
John Cabaj (john-cabaj) wrote :

No new regressions in ADT matrix.

tags: added: automated-testing-passed
description: updated
description: updated
Revision history for this message
John Cabaj (john-cabaj) wrote :

No jammy:linux-gcp-6.5 specific LP bugs to verify.

tags: added: verification-testing-passed
description: updated
Revision history for this message
John Cabaj (john-cabaj) wrote :

Kernel simply dropped the -edge variant in favor of gcp-6.8. This kernel has been default for some time, so the -edge variant removal should be fine.

description: updated
description: updated
Revision history for this message
Launchpad Janitor (janitor) wrote :
Download full text (31.0 KiB)

This bug was fixed in the package linux-gcp-6.5 - 6.5.0-1024.26~22.04.1

---------------
linux-gcp-6.5 (6.5.0-1024.26~22.04.1) jammy; urgency=medium

  * jammy/linux-gcp-6.5: 6.5.0-1024.26~22.04.1 -proposed tracker (LP: #2068324)

  * Packaging resync (LP: #1786013)
    - [Packaging] debian.gcp-6.5/dkms-versions -- update from kernel-versions
      (main/2024.06.10)

  [ Ubuntu: 6.5.0-1024.26 ]

  * mantic/linux-gcp: 6.5.0-1024.26 -proposed tracker (LP: #2068325)
  * Packaging resync (LP: #1786013)
    - [Packaging] debian.gcp/dkms-versions -- update from kernel-versions
      (main/2024.06.10)
  * mantic/linux: 6.5.0-44.44 -proposed tracker (LP: #2068341)
  * Packaging resync (LP: #1786013)
    - [Packaging] debian.master/dkms-versions -- update from kernel-versions
      (main/2024.06.10)
  * Some DUTs can't boot up after installing the proposed kernel on Mantic
    (LP: #2061940)
    - SAUCE: Revert "x86/efistub: Use 1:1 file:memory mapping for PE/COFF .compat
      section"
    - SAUCE: Revert "x86/boot: Increase section and file alignment to 4k/512"
    - SAUCE: Revert "x86/boot: Split off PE/COFF .data section"
    - SAUCE: Revert "x86/boot: Drop PE/COFF .reloc section"
    - SAUCE: Revert "x86/boot: Construct PE/COFF .text section from assembler"
    - SAUCE: Revert "x86/boot: Derive file size from _edata symbol"
    - SAUCE: Revert "x86/boot: Define setup size in linker script"
    - SAUCE: Revert "x86/boot: Set EFI handover offset directly in header asm"
    - SAUCE: Revert "x86/boot: Grab kernel_info offset from zoffset header
      directly"
    - SAUCE: Revert "x86/boot: Drop redundant code setting the root device"
    - SAUCE: Revert "x86/boot: Drop references to startup_64"
    - SAUCE: Revert "x86/boot: Omit compression buffer from PE/COFF image memory
      footprint"
    - SAUCE: Revert "x86/boot: Remove the 'bugger off' message"
    - SAUCE: Revert "x86/efi: Drop alignment flags from PE section headers"
    - SAUCE: Revert "x86/efi: Drop EFI stub .bss from .data section"
  * CVE-2023-52880
    - tty: n_gsm: require CAP_NET_ADMIN to attach N_GSM0710 ldisc
  * i915 cannot probe successfully on HP ZBook Power 16 G11 (LP: #2067883)
    - drm/i915/mtl: Remove the 'force_probe' requirement for Meteor Lake
  * CVE-2024-26838
    - RDMA/irdma: Fix KASAN issue with tasklet
  * mtk_t7xx WWAN module fails to probe with: Invalid device status 0x1
    (LP: #2049358)
    - Revert "UBUNTU: SAUCE: net: wwan: t7xx: PCIe reset rescan"
    - Revert "UBUNTU: SAUCE: net: wwan: t7xx: Add AP CLDMA"
    - net: wwan: t7xx: Add AP CLDMA
    - wwan: core: Add WWAN fastboot port type
    - net: wwan: t7xx: Add sysfs attribute for device state machine
    - net: wwan: t7xx: Infrastructure for early port configuration
    - net: wwan: t7xx: Add fastboot WWAN port
  * TCP memory leak, slow network (arm64) (LP: #2045560)
    - net: make SK_MEMORY_PCPU_RESERV tunable
    - net: fix sk_memory_allocated_{add|sub} vs softirqs
  * CVE-2024-26923
    - af_unix: Do not use atomic ops for unix_sk(sk)->inflight.
    - af_unix: Fix garbage collector racing against connect()
  * Add support for Quectel EM160R-GL modem [1eac:100d] (LP: #2063399)
    - Add support for...

Changed in linux-gcp-6.5 (Ubuntu Jammy):
status: New → Fix Released
description: updated
description: updated
description: updated
description: updated
description: updated
Revision history for this message
Ubuntu Kernel Bot (ubuntu-kernel-bot) wrote : Workflow done!

All tasks have been completed and the bug is being closed

Changed in kernel-sru-workflow:
status: In Progress → Fix Committed
To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.